Skip to main content
POST
/
upgrade
Upgrade the sandbox-api
curl --request POST \
  --url https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/upgrade \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "baseUrl": "https://github.com/blaxel-ai/sandbox/releases",
  "version": "latest"
}
'
import requests

url = "https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/upgrade"

payload = {
"baseUrl": "https://github.com/blaxel-ai/sandbox/releases",
"version": "latest"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({baseUrl: 'https://github.com/blaxel-ai/sandbox/releases', version: 'latest'})
};

fetch('https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/upgrade', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "File created successfully",
  "path": "/path/to/file"
}
{
"error": "Error message"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Upgrade options

baseUrl
string

Base URL for releases (useful for forks)

Example:

"https://github.com/blaxel-ai/sandbox/releases"

version
string

Version to upgrade to: "latest" (default), "develop", "main", or specific tag like "v1.0.0"

Example:

"latest"

Response

Upgrade initiated

message
string
required
Example:

"File created successfully"

path
string
Example:

"/path/to/file"

Last modified on June 17, 2026